﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_CREDITLIMIT')
 CREATE TABLE T_CFM_CREDITLIMIT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FOPENORGID BIGINT DEFAULT 0 NOT NULL,
FBANKID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCREDITPROP NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREDITTYPEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FISGROUPLIMIT CHAR(1) DEFAULT '0' NOT NULL,
FCONTRACTNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTOTALAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FUSEAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAVARAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDISTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRAVAAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISCLOSE CHAR(1) DEFAULT '0' NOT NULL,
FISMERGESRC CHAR(1) DEFAULT '0' NOT NULL,
FISMERGENEW CHAR(1) DEFAULT '0' NOT NULL,
FISMERGESRCCLOSE CHAR(1) DEFAULT '0' NOT NULL,
FGUARTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_USE_CREDIT')
 CREATE TABLE T_CFM_USE_CREDIT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FROOTID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREDITCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBINDID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCURCYAMOUNTRELEASED DECIMAL(19,6) DEFAULT 0 NOT NULL,
FFINORGID BIGINT DEFAULT 0 NOT NULL,
FCREDITTYPE BIGINT DEFAULT 0 NOT NULL,
FCHANGETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBUSINESSCODE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FEXPIREDATE DATETIME,
FBUSINESSAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCREDITAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCONTRACTNO BIGINT DEFAULT 0 NOT NULL,
FCREDITRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCREDITAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCREDITPROP NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNTRELEASED DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCKAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREGISTRANT BIGINT DEFAULT 0 NOT NULL,
FCREDITBUSINESSTYPE BIGINT DEFAULT 0 NOT NULL,
FRELEASEAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGROUPID NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_USE_CREDIT' AND KSQL_COL_NAME IN ('FBANKTYPE'))
 ALTER TABLE T_CFM_USE_CREDIT ADD (FBANKTYPE NVARCHAR(30) DEFAULT 'bd_finorginfo' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_CREDITLIMIT' AND KSQL_COL_NAME IN ('FBANKTYPE'))
 ALTER TABLE T_CFM_CREDITLIMIT ADD (FBANKTYPE NVARCHAR(30) DEFAULT 'bd_finorginfo' NOT NULL );
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CREDITM_APPLY' AND KSQL_COL_NAME IN ('FBANKTYPE'))
  ALTER TABLE T_CREDITM_APPLY ADD (FBANKTYPE NVARCHAR(30) DEFAULT 'bd_finorginfo' NOT NULL );